import { __read, __assign } from 'tslib';
import { createElement } from 'react';
import Register from '@vericus/slate-kit-utils-register-helpers';

function createRenderMark(options) {
    var marks = options.marks;
    var marksRenderer = Object.entries(marks).reduce(function (renderers, _a) {
        var _b;
        var _c = __read(_a, 2), markName = _c[0], _markType = _c[1];
        return __assign({}, renderers, (_b = {}, _b[markName] = function (props) {
            var attributes = props.attributes, children = props.children, className = props.className;
            return (createElement("span", __assign({}, attributes, { className: className }), children));
        }, _b));
    }, {});
    return Register({ marksRenderer: marksRenderer });
}

export default createRenderMark;
//# sourceMappingURL=slate-kit-highlight-text-renderer.es.js.map
